org.apache.ignite.internal.processors.cache.mvcc

## Class MvccCoordinator

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.MvccCoordinator

All Implemented Interfaces:
  Serializable

    public class MvccCoordinator
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static MvccCoordinator` `DISCONNECTED_COORDINATOR`
`static MvccCoordinator` `UNASSIGNED_COORDINATOR`

### Constructor Summary

Constructors
Constructor and Description
`MvccCoordinator(AffinityTopologyVersion topVer, UUID nodeId, long ver, boolean local)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `disconnected()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `initialized()`
`void` `initialized(boolean initialized)`
`boolean` `local()`
`UUID` `nodeId()`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`
`boolean` `unassigned()`
`long` `version()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DISCONNECTED_COORDINATOR

    public static final MvccCoordinator DISCONNECTED_COORDINATOR

#### UNASSIGNED_COORDINATOR

    public static final MvccCoordinator UNASSIGNED_COORDINATOR

### Constructor Detail

#### MvccCoordinator

    public MvccCoordinator(AffinityTopologyVersion topVer,
                           UUID nodeId,
                           long ver,
                           boolean local)

Parameters:
  `topVer` - Topology version when coordinator was assigned.
  `nodeId` - Coordinator node ID.
  `ver` - Coordinator version.
  `local` - `True` if the local node is a coordinator.

### Method Detail

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Topology version when coordinator was assigned.

#### nodeId

    public UUID nodeId()

Returns:
  Coordinator node ID.

#### version

    public long version()

Returns:
  Unique coordinator version.

#### local

    public boolean local()

Returns:
  `True` if the coordinator is local.

#### disconnected

    public boolean disconnected()

Returns:
  `True` if the coordinator is disconnected.

#### unassigned

    public boolean unassigned()

Returns:
  `True` if the coordinator has not been assigned yet.

#### initialized

    public boolean initialized()

Returns:
  `True` if the coordinator is initialized.

#### initialized

    public void initialized(boolean initialized)

Parameters:
  `initialized` - Initialized flag.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022